$schema: http://json-schema.org/draft-04/schema#
type: object
properties:
  operation_mode:
    type: string
    description: Type of operation mode to be used by the datatool
    enum:
      - memory
      - disk
      - ramdisk
  validate_sample_paths:
    type: boolean
    description: If sample paths must be checked while dumping the dataset json to disk
required: [operation_mode, validate_sample_paths]
additionalProperties: false